Retrieve a patient's allergies

Last updated: Sep 11, 2025
IMPLEMENTATION
PRODUCT OWNER
HEALTH TECH VENDOR

You can use this API action to access a list of patient allergies, as documented by a specific organization. A patient can have an allergy to medication, food, or materials, to name a few.

Prerequisite: Having a patient identifier

To use this API action, you must know the patient identifier. If you don’t have one, search for a patient with demographics to locate an appropriate identifier first.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Decide or know the appropriate medication dosages for a patient’s allergies.
  • Understand a patient’s environmental allergies (e.g., latex allergy).

Supported systems

You can use this API action with the Redox FHIR® API.

Talk to a Redoxer

It’s also possible to use the Redox Data Model API for this API action. Talk to a Redoxer to learn about your options.

Your connection's system can return results with their own FHIR® or query-based API. 

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

Prerequisites

The following actions must be completed before attempting the steps below.

Steps
  • 1
    Retrieve a patient's allergies
    required

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the AllergyIntolerance schema for more details.

Query parameter

Required

Notes

patient.identifier

Y

You must include at least one identifier for the patient that the EHR system uses. If you don't have a patient identifier, search for a patient with demographics to find one.

clinical-status

N

You can refine your search by searching specifically for a patient's active, inactive, or resolved allergies).

The response contains one or more allergies for an individual patient. In a FHIR® response, you can find the total number of included allergies in the total array.

You could also receive an empty response body with no listed allergies. This doesn’t necessarily mean that the patient is allergy-free; it only means that the organization hasn’t documented any known allergies for the patient.

The returned data fields that should help inform your workflow the most are the clinicalStatus[] and reaction[] arrays.

AllergyIntolerance/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/AllergyIntolerance/_search' \
2
--request POST \
3
--header 'Authorization: Bearer ${API_TOKEN}' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7' \
6
--data-urlencode 'clinical-status=active'
Response
json
1
{
2
"id": "4c1f0116-1912-4a98-be85-3658d1b239bb",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "9d91915b-c4d5-4e45-a4fb-9c6ba5a302b6",
12
"code": {
13
"coding": [
14
{
15
"code": "227493005",
16
"system": "http://snomed.info/sct",
17
"display": "Cashew nuts"
18
}
19
]
20
},
21
"meta": {
22
"lastUpdated": "2022-12-02T19:29:10.510Z"
23
},
24
"note": [
25
{
26
"text": "The criticality is high because of the observed anaphylactic reaction when challenged with cashew extract."
27
}
28
],
29
"type": "allergy",
30
"patient": {
31
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
32
},
33
"asserter": {
34
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
35
},
36
"category": [
37
"food"
38
],
39
"reaction": [
40
{
41
"onset": "2012-06-12T00:00:00.000Z",
42
"severity": "severe",
43
"substance": {
44
"coding": [
45
{
46
"code": "1160593",
47
"system": "http://www.nlm.nih.gov/research/umls/rxnorm",
48
"display": "cashew nut allergenic extract Injectable Product"
49
}
50
]
51
},
52
"description": "Challenge Protocol. Severe reaction to subcutaneous cashew extract. Epinephrine administered",
53
"exposureRoute": {
54
"coding": [
55
{
56
"code": "34206005",
57
"system": "http://snomed.info/sct",
58
"display": "Subcutaneous route"
59
}
60
]
61
},
62
"manifestation": [
63
{
64
"coding": [
65
{
66
"code": "39579001",
67
"system": "http://snomed.info/sct",
68
"display": "Anaphylactic reaction"
69
}
70
]
71
}
72
]
73
},
74
{
75
"note": [
76
{
77
"text": "The patient reports that the onset of urticaria was within 15 minutes of eating cashews."
78
}
79
],
80
"onset": "2004-01-01T00:00:00.000Z",
81
"severity": "moderate",
82
"manifestation": [
83
{
84
"coding": [
85
{
86
"code": "64305001",
87
"system": "http://snomed.info/sct",
88
"display": "Urticaria"
89
}
90
]
91
}
92
]
93
}
94
],
95
"recorder": {
96
"reference": "Practitioner/dbed0f85-e3cd-47ac-9305-3f629e138832"
97
},
98
"identifier": [
99
{
100
"value": "88779966",
101
"system": "http://acme.com/ids/patients/risks"
102
}
103
],
104
"criticality": "high",
105
"recordedDate": "2014-10-09T00:00:00.000Z",
106
"resourceType": "AllergyIntolerance",
107
"onsetDateTime": "2004-01-01T00:00:00.000Z",
108
"clinicalStatus": {
109
"coding": [
110
{
111
"code": "active",
112
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
113
"display": "Active"
114
}
115
]
116
},
117
"lastOccurrence": "2012-06-01T00:00:00.000Z",
118
"verificationStatus": {
119
"coding": [
120
{
121
"code": "confirmed",
122
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
123
"display": "Confirmed"
124
}
125
]
126
}
127
}
128
}
129
],
130
"total": 1,
131
"resourceType": "Bundle"
132
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.